Subject: g++ on Windows NT 3.51
From: [email-masked] ("E. Andrew Johnson")

3 Nov 1996 22:49:07 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (WinNT; I)
Original-To: [email-masked]
Original-CC: [email-masked]
Original-Sender: [email-masked]

I have installed the Beta 16 release of the gnu-win32 package.  I had
previously installed Beta 14.

I can compile and execute C programs using gcc just fine.  However, if I
attempt to compile a C++ program using g++, I get the following error
when I try to run the resultant executable:

bash$ g++ hwk1q5.cpp
bash$ ./a.out
bash.exe: ./a.out: Not owner
bash$ ls -l a.out
-rw-r--r--  1 500  everyone  676480 Nov 04 06:06 a.out

Has anyone else seen this problem?  Any clue as to what it is and how to
get around it?  This worked in the beta 14 release, once I made a copy
of libg++.a from the beta 16 release.  I would like to get this working,
so that I can get rid of the beta 14 release.  I can't afford to keep
both on my hard drive.

I am using the following .bashrc file:
LIBRARY_PATH="/cygnus/h-i386-cygwin32/lib/gcc-lib/i386-cygwin32/cygnus-2.7.2-960712:/cygnus/lib"
CPLUS_INCLUDE_PATH="/cygnus/include/g++:/cygnus/include"
C_INCLUDE_PATH=/cygnus/include:/cygnus/h-i386-cygwin32/include
GCC_EXEC_PREFIX=/cygnus/h-i386-cygwin32/lib/gcc-lib/
PATH=/cygnus/h-i386-cygwin32/bin:$PATH
export LIBRARY_PATH CPLUS_INCLUDE_PATH C_INCLUDE_PATH GCC_EXEC_PREFIX

-- 
E. Andrew Johnson		Email: [email-masked]
The Open Group Research Inst.	URL: http://www.osf.org/~andyj
11 Cambridge Center		Tel: (617) 621-7378
Cambridge, MA 02142		Fax: (617) 621-8696
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".